Bug 1026080 - [abrt] amarok-2.8.0-3.fc19.1: getDisplay: Process /usr/bin/amarok was killed by signal 11 (SIGSEGV)
[abrt] amarok-2.8.0-3.fc19.1: getDisplay: Process /usr/bin/amarok was killed ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: taglib (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f46d99306fd7d765dff6ed64293...
:
Depends On:
Blocks: F20FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-11-03 08:23 EST by Kim Bisgaard
Modified: 2013-12-01 04:34 EST (History)
7 users (show)

See Also:
Fixed In Version: taglib-1.9.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-29 08:58:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (215.97 KB, text/plain)
2013-11-03 08:23 EST, Kim Bisgaard
no flags Details
File: cgroup (140 bytes, text/plain)
2013-11-03 08:23 EST, Kim Bisgaard
no flags Details
File: core_backtrace (107.32 KB, text/plain)
2013-11-03 08:23 EST, Kim Bisgaard
no flags Details
File: dso_list (20.44 KB, text/plain)
2013-11-03 08:24 EST, Kim Bisgaard
no flags Details
File: environ (2.00 KB, text/plain)
2013-11-03 08:24 EST, Kim Bisgaard
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-03 08:24 EST, Kim Bisgaard
no flags Details
File: maps (127.50 KB, text/plain)
2013-11-03 08:24 EST, Kim Bisgaard
no flags Details
File: open_fds (150 bytes, text/plain)
2013-11-03 08:24 EST, Kim Bisgaard
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-11-03 08:24 EST, Kim Bisgaard
no flags Details
File: var_log_messages (337 bytes, text/plain)
2013-11-03 08:24 EST, Kim Bisgaard
no flags Details

  None (edit)
Description Kim Bisgaard 2013-11-03 08:23:42 EST
Description of problem:
crash after playing flac file

Version-Release number of selected component:
amarok-2.8.0-3.fc19.1

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/amarok
crash_function: getDisplay
executable:     /usr/bin/amarok
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            987

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 getDisplay at /usr/src/debug/kdelibs-4.11.2/kdeui/util/kcrash.cpp:659
 #3 openSocket at /usr/src/debug/kdelibs-4.11.2/kdeui/util/kcrash.cpp:773
 #4 startFromKdeinit at /usr/src/debug/kdelibs-4.11.2/kdeui/util/kcrash.cpp:569
 #5 startProcessInternal at /usr/src/debug/kdelibs-4.11.2/kdeui/util/kcrash.cpp:537
 #6 KCrash::startProcess at /usr/src/debug/kdelibs-4.11.2/kdeui/util/kcrash.cpp:524
 #7 KCrash::defaultCrashHandler at /usr/src/debug/kdelibs-4.11.2/kdeui/util/kcrash.cpp:435
 #9 memcpy at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:2832
 #11 TagLib::ByteVector::replace at /usr/src/debug/taglib-1.9.1/taglib/toolkit/tbytevector.cpp:551
 #12 TagLib::ID3v2::SynchData::decode at /usr/src/debug/taglib-1.9.1/taglib/mpeg/id3v2/id3v2synchdata.cpp:83
 #13 TagLib::ID3v2::FrameFactory::createFrame at /usr/src/debug/taglib-1.9.1/taglib/mpeg/id3v2/id3v2framefactory.cpp:132
Comment 1 Kim Bisgaard 2013-11-03 08:23:52 EST
Created attachment 818758 [details]
File: backtrace
Comment 2 Kim Bisgaard 2013-11-03 08:23:55 EST
Created attachment 818759 [details]
File: cgroup
Comment 3 Kim Bisgaard 2013-11-03 08:23:59 EST
Created attachment 818760 [details]
File: core_backtrace
Comment 4 Kim Bisgaard 2013-11-03 08:24:02 EST
Created attachment 818761 [details]
File: dso_list
Comment 5 Kim Bisgaard 2013-11-03 08:24:05 EST
Created attachment 818762 [details]
File: environ
Comment 6 Kim Bisgaard 2013-11-03 08:24:08 EST
Created attachment 818763 [details]
File: limits
Comment 7 Kim Bisgaard 2013-11-03 08:24:12 EST
Created attachment 818764 [details]
File: maps
Comment 8 Kim Bisgaard 2013-11-03 08:24:15 EST
Created attachment 818765 [details]
File: open_fds
Comment 9 Kim Bisgaard 2013-11-03 08:24:18 EST
Created attachment 818766 [details]
File: proc_pid_status
Comment 10 Kim Bisgaard 2013-11-03 08:24:21 EST
Created attachment 818767 [details]
File: var_log_messages
Comment 11 Kim Bisgaard 2013-11-05 03:06:44 EST
dies in taglib - so moving there
Comment 12 Fedora Update System 2013-11-26 10:56:39 EST
taglib-1.9.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/taglib-1.9.1-2.fc20
Comment 13 Fedora Update System 2013-11-26 10:57:25 EST
taglib-1.9.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/taglib-1.9.1-2.fc19
Comment 14 Fedora Update System 2013-11-26 10:58:15 EST
taglib-1.9.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/taglib-1.9.1-2.fc18
Comment 15 Adam Williamson 2013-11-26 12:26:16 EST
Proposing as a final FE for F20 - crasher bug in a commonly-used app on a blocker desktop (amarok is KDE's music player).
Comment 16 Fedora Update System 2013-11-26 13:03:53 EST
Package taglib-1.9.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing taglib-1.9.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22185/taglib-1.9.1-2.fc20
then log in and leave karma (feedback).
Comment 17 Jóhann B. Guðmundsson 2013-11-26 13:35:08 EST
+1 FE
Comment 18 Kevin Fenzi 2013-11-26 13:37:00 EST
+1 FE
Comment 19 Adam Williamson 2013-11-26 13:43:38 EST
Setting AcceptedFreezeException with three votes, thanks.
Comment 20 Fedora Update System 2013-11-29 08:58:29 EST
taglib-1.9.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-12-01 04:34:23 EST
taglib-1.9.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.